class ListenerBuildDirector {
    _builder = undefined;


    constructor(builder) {
        this._builder = builder;
    }

    getListener() {
        return this._builder.listenerRSS;
    }

    build(infos) {
        if(infos === undefined)
            throw new Error('infos must be initialized');
        this._builder.constructListener(infos);
    }
}

module.exports = ListenerBuildDirector